<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* usergroup-form-delete.twig */
class __TwigTemplate_aeccec110ce15a7fcacf60e7fcfb8bcdca979b0942b43f197f56046d5d08260b extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 10
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 11
        $context["forms"] = $this->loadTemplate("forms.twig", "usergroup-form-delete.twig", 11)->unwrap();
        // line 10
        $this->parent = $this->loadTemplate("form-base.twig", "usergroup-form-delete.twig", 10);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 13
    public function block_formTitle($context, array $blocks = [])
    {
        // line 14
        echo "    ";
        echo __("Delete");
    }

    // line 17
    public function block_formButtons($context, array $blocks = [])
    {
        // line 18
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["help"] ?? null), "delete", []), "html", null, true);
        echo "\")
    ";
        // line 19
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 20
        echo __("Yes");
        echo ", \$(\"#groupDeleteForm\").submit()
";
    }

    // line 23
    public function block_formHtml($context, array $blocks = [])
    {
        // line 24
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"groupDeleteForm\" class=\"XiboForm form-horizontal\" method=\"delete\" action=\"";
        // line 26
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("group.delete", ["id" => $this->getAttribute(($context["group"] ?? null), "groupId", [])]), "html", null, true);
        echo "\">
                ";
        // line 27
        $context["groupName"] = $this->getAttribute(($context["group"] ?? null), "group", []);
        // line 28
        echo "                ";
        ob_start(function () { return ''; });
        /* xgettext:no-php-format */        echo strtr(__("Are you sure you want to delete %groupName%?"), array("%groupName%" => ($context["groupName"] ?? null), ));
        $context["deleteMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 29
        echo "                ";
        echo $context["forms"]->getmessage(($context["deleteMessage"] ?? null));
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "usergroup-form-delete.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  90 => 29,  85 => 28,  83 => 27,  79 => 26,  75 => 24,  72 => 23,  66 => 20,  62 => 19,  55 => 18,  52 => 17,  47 => 14,  44 => 13,  39 => 10,  37 => 11,  31 => 10,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "usergroup-form-delete.twig", "/home/mgatv524/public_html/edurocha/views/usergroup-form-delete.twig");
    }
}
